Package ee.tck.javadb

# Class JavaDBController

java.lang.Object
ee.tck.javadb.JavaDBController

public class JavaDBController extends Object
JavaDBController is a utility class to start and stop the JavaDB server. It provides the same functionality as the EE10 ant start.javadb and stop.javadb targets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaDBController()`
  Use the default values for the JavaDBController
  `JavaDBController(String dbName, String server, int port, String user, String passwd)`
  Use the provided values for the JavaDBController
  `JavaDBController(Path tsJte)`
  Load the JavaDBController settings from the tsJte file

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isJavaDBRunning()`
  Check if the JavaDB server is running
  `void`
  `startJavaDB(Path derbyHome)`
  `void`
  `stopJavaDB()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaDBController

    public JavaDBController()
    Use the default values for the JavaDBController

  - ### JavaDBController

    public JavaDBController(String dbName, String server, int port, String user, String passwd)
    Use the provided values for the JavaDBController
    Parameters:
      `dbName` -
      `server` -
      `port` -
      `user` -
      `passwd` -

  - ### JavaDBController

    public JavaDBController(Path tsJte) throws IOException
    Load the JavaDBController settings from the tsJte file
    Parameters:
      `tsJte` -
    Throws:
      `IOException`

- ## Method Details

  - ### startJavaDB

    public void startJavaDB(Path derbyHome) throws Exception
    Throws:
      `Exception`

  - ### stopJavaDB

    public void stopJavaDB() throws Exception
    Throws:
      `Exception`

  - ### isJavaDBRunning

    public boolean isJavaDBRunning()
    Check if the JavaDB server is running
    Returns:
      true if the server is running and , false otherwise